SitemeshTagLib (Grails 3.1.10)
Date: 2016-07-28

Package: org.grails.plugins.web.taglib

## [Groovy] Class SitemeshTagLib

- org.grails.plugins.web.taglib.SitemeshTagLib

- All Implemented Interfaces and Traits:
    com.opensymphony.module.sitemesh.RequestConstants, TagLibrary

      @groovy.transform.CompileStatic
      @TagLib
      class SitemeshTagLib
      extends java.lang.Object

  Internal Sitemesh pre-processor tags.

  Authors:
    Graeme Rocher
  Since:
    1.2

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected static java.lang.String` | `GSP_SITEMESH_PAGE` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `groovy.lang.Closure` | `captureBody` Captures the <body> tag.
    `groovy.lang.Closure` | `captureContent` Captures the individual <content> tags.
    `groovy.lang.Closure` | `captureHead` Captures the <head> tag.
    `groovy.lang.Closure` | `captureMeta` Captures the individual <meta> tags.
    `groovy.lang.Closure` | `captureTitle` Captures the <title> tag.
    `CodecLookup` | `codecLookup`
    `static java.lang.String` | `namespace`
    `groovy.lang.Closure` | `parameter` Allows passing of parameters to Sitemesh layout.
    `groovy.lang.Closure` | `wrapTitleTag` Wraps the title tag so that the buffer can be cleared out from the head buffer

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `java.lang.Object` | `captureTagContent(GrailsPrintWriter writer, java.lang.String tagname, java.util.Map attrs, java.lang.Object body, boolean noEndTagForEmpty = false)`
    `protected GSPSitemeshPage` | `findGSPSitemeshPage(javax.servlet.http.HttpServletRequest request)`
    `StreamCharBuffer` | `wrapContentInBuffer(java.lang.Object content)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### protected static final java.lang.String GSP_SITEMESH_PAGE

  - ### Property Detail

    - #### groovy.lang.Closure captureBody

      Captures the <body> tag.

    - #### groovy.lang.Closure captureContent

      Captures the individual <content> tags.

    - #### groovy.lang.Closure captureHead

      Captures the <head> tag.

    - #### groovy.lang.Closure captureMeta

      Captures the individual <meta> tags.

    - #### groovy.lang.Closure captureTitle

      Captures the <title> tag.

    - #### CodecLookup codecLookup

    - #### static java.lang.String namespace

    - #### groovy.lang.Closure parameter

      Allows passing of parameters to Sitemesh layout.
      <sitemesh:parameter name="foo" value="bar" />

    - #### groovy.lang.Closure wrapTitleTag

      Wraps the title tag so that the buffer can be cleared out from the head buffer

  - ### Method Detail

    - #### java.lang.Object captureTagContent(GrailsPrintWriter writer, java.lang.String tagname, java.util.Map attrs, java.lang.Object body, boolean noEndTagForEmpty = false)

    - #### protected GSPSitemeshPage findGSPSitemeshPage(javax.servlet.http.HttpServletRequest request)

    - #### StreamCharBuffer wrapContentInBuffer(java.lang.Object content)